Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.aocat.psis.client.utils
Class SignatureAttributes

    java.lang.Object
      net.aocat.psis.client.utils.SignatureAttributes

    public class SignatureAttributes

extends java.lang.Object

Signature attributes.

Author:
  aalcaide

Field Summary
`static java.lang.String` | `DigestAlgorithm` Signature's digest algorithm
`static java.lang.String` | `DigestEncryptionAlgorithm` Signature digest encryption algorithm
`static java.lang.String` | `ExpirationDate` Signature expiration date
`static java.lang.String` | `SignatureAlgorithm` Signature algorithm
`static java.lang.String` | `SignatureValue` Signature value
`private static java.lang.String` | `XSSPrefix`

Constructor Summary
`SignatureAttributes()`

Method Summary
`static java.util.List<java.lang.String>` | `getAllAttributes()` Returns a list with all the attributes.
`static java.util.List<java.lang.String>` | `getGenericAttributes()` Returns a list with the always expected attributes.
`static java.util.HashMap<java.lang.String,java.lang.String>` | `initAttrsHM()` Builds a HashMap containing translated meaningful attribute descriptions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XSSPrefix

    private static java.lang.String XSSPrefix

### DigestAlgorithm

    public static java.lang.String DigestAlgorithm

  Signature's digest algorithm

### DigestEncryptionAlgorithm

    public static java.lang.String DigestEncryptionAlgorithm

  Signature digest encryption algorithm

### SignatureAlgorithm

    public static java.lang.String SignatureAlgorithm

  Signature algorithm

### SignatureValue

    public static java.lang.String SignatureValue

  Signature value

### ExpirationDate

    public static java.lang.String ExpirationDate

  Signature expiration date

Constructor Detail

### SignatureAttributes

    public SignatureAttributes()

Method Detail

### getAllAttributes

    public static java.util.List<java.lang.String> getAllAttributes()

  Returns a list with all the attributes.

  Returns:
    list with all the attributes

### getGenericAttributes

    public static java.util.List<java.lang.String> getGenericAttributes()

  Returns a list with the always expected attributes.

  Returns:
    list with the always expected attributes

### initAttrsHM

    public static java.util.HashMap<java.lang.String,java.lang.String> initAttrsHM()

  Builds a HashMap containing translated meaningful attribute descriptions.

  Returns:
    HashMap containing translated meaningful attribute descriptions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD